### Class

# Gcr SimpleCollection

#### Description [src]

    class Gcr.SimpleCollection : GObject.Object
      implements Gcr.Collection {
      /* No available fields */
    }

A simple implementation of `GcrCollection`, which you can add and remove objects from.

You can use `gcr_simple_collection_add()` to add objects, and `gcr_simple_collection_remove()` to remove them again.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GcrCollection

#### Constructors

###### gcr_simple_collection_new

Create a new `GcrSimpleCollection`.

#### Instance methods

###### gcr_simple_collection_add

Add an object to this collection.

###### gcr_simple_collection_remove

Remove an object from the collection.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GcrCollection (5)

###### gcr_collection_contains

Check whether the collection contains an object or not.

###### gcr_collection_emit_added

Emit the `GcrCollection::added` signal for the given object. This function is used by implementors of this interface.

###### gcr_collection_emit_removed

Emit the `GcrCollection::removed` signal for the given object. This function is used by implementors of this interface.

###### gcr_collection_get_length

Get the number of objects in this collection.

###### gcr_collection_get_objects

Get a list of the objects in this collection.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GcrCollection (2)

###### GcrCollection::added

This signal is emitted when an object is added to the collection.

###### GcrCollection::removed

This signal is emitted when an object is removed from the collection.

#### Class structure

    struct GcrSimpleCollectionClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.